Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ddf.minim
Class AudioInput

    java.lang.Object
      ddf.minim.Controller
          ddf.minim.AudioSource
              ddf.minim.AudioInput

All Implemented Interfaces:
  Effectable, Recordable

    public class AudioInput

extends AudioSource

An `AudioInput` provides no extra functionality over what `AudioSource` does, it exists simply for the sake of having a class named for input from the system. You can obtain an `AudioInput` by calling one of the `getLineIn` methods of `Minim`. The audio that the input receives will depend on the current record source of the computer (such as the line-in or microphone).

Author:
  Damien Di Fede

Field Summary

Fields inherited from class ddf.minim.AudioSource
`left, mix, right`

Fields inherited from class ddf.minim.Controller
`BALANCE, GAIN, MUTE, PAN, SAMPLE_RATE, VOLUME`

Constructor Summary
`AudioInput(AudioStream stream)` Constructs an `AudioInput` that subscribes to `stream` and can control the `DataLine` that `stream` is reading from.

Method Summary

Methods inherited from class ddf.minim.AudioSource
`addEffect, addListener, bufferSize, clearEffects, close, disableEffect, disableEffect, effectCount, effects, enableEffect, enableEffect, getEffect, getFormat, hasEffect, isEffected, isEnabled, noEffects, removeEffect, removeEffect, removeListener, sampleRate, type`

Methods inherited from class ddf.minim.Controller
`balance, gain, getBalance, getControl, getControls, getGain, getPan, getVolume, hasControl, isMuted, mute, pan, printControls, setBalance, setGain, setPan, setVolume, shiftBalance, shiftGain, shiftPan, shiftVolume, unmute, volume`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AudioInput

    public AudioInput(AudioStream stream)

  Constructs an `AudioInput` that subscribes to `stream` and can control the `DataLine` that `stream` is reading from.

  Parameters:
    `stream` - the `AudioStream` that this will subscribe to for samples

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD